# $Revision: 1.23 $, $Date: 2011/08/31 07:00:56 $
Summary:	Aria2 is a download utility with resuming and segmented downloading
Summary(pl.UTF-8):	Narzędzie do pobierania plików z obsługą wznawiania i pobierania segmentowego
Name:		aria2
Version:	1.12.1
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://downloads.sourceforge.net/aria2/%{name}-%{version}.tar.bz2
# Source0-md5:	9f3bf96d92bc8b70b74817ed10c2c7e7
URL:		http://aria2.sourceforge.net/
BuildRequires:	cppunit-devel
BuildRequires:	gnutls-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aria2 has segmented downloading engine in its core. It can download
one file from multiple URLs or multiple connections from one URL. This
results in very high speed downloading, very much faster than ordinary
browsers. It can also download BitTorrent files. We implemented this
engine in single-thread model. The architecture is very clean and easy
to extend. It also supports Metalink version 3.0.

%description -l pl.UTF-8
Aria2 wykorzystuje silnik pobierania segmentowego. Może pobierać jeden
plik z kilku adresów lub użyć wielu połączeń do jednego serwera. W
rezultacie pobieranie jest bardzo szybkie, znacznie szybsze niż w
przypadku standardowej przeglądarki WWW. Silnik ten zaimplementowany
jest w modelu jednowątkowym. Aria2 charakteryzuje się bardzo prostą i
rozszerzalną architekturą, która obsługuje także pliki BitTorrent oraz
MetaLink w wersji 3.0.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang aria2

%clean
rm -rf $RPM_BUILD_ROOT

%files -f aria2.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.asciidoc
%attr(755,root,root) %{_bindir}/aria2c
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aria2.spec,v $
Revision 1.23  2011/08/31 07:00:56  arekm
- release 2

Revision 1.22  2011/08/03 10:38:53  marti
- up to 1.12.1

Revision 1.21  2011/07/01 13:41:09  marti
- up to 1.12.0

Revision 1.20  2011/06/02 10:13:57  caleb
- Up to 1.11.2

Revision 1.19  2011/04/13 07:13:08  marti
- up to 1.11.1

Revision 1.18  2011/03/19 13:26:34  areq
- 1.11.0

Revision 1.17  2011/02/02 01:47:15  sparky
- BR: cppunit-devel, pkgconfig

Revision 1.16  2011/01/18 22:53:00  caleb
- Adapterized
- Tested working on x86_64

Revision 1.15  2011/01/18 15:39:11  shadzik
- allegedly works
- 1.10.9
- submitted by Marcin Rybak <marcin dot rybak at gmail dot com>

Revision 1.14  2009/09/22 13:31:25  areq
- 1.6.0

Revision 1.13  2009/06/07 19:52:13  areq
- 1.4.1

Revision 1.12  2009/04/29 20:03:42  areq
- 1.3.2

Revision 1.11  2009/04/13 18:03:30  areq
- 1.3.1

Revision 1.10  2009/04/02 22:20:38  areq
- 1.3.0

Revision 1.9  2008/01/17 00:04:04  glen
- rel 2

Revision 1.8  2007-12-14 08:32:27  cieciwa
- updated to version 0.12.0,
- updated MD5sum.

Revision 1.7  2007-11-17 15:32:26  areq
- 0.11.5

Revision 1.6  2007-08-11 20:14:59  kali
- updated to 0.11.2

Revision 1.5  2007/06/18 14:39:25  rotom
- up to 0.11.0

Revision 1.4  2007/04/30 16:36:59  rotom
- up to 0.10.2

Revision 1.3  2007/03/30 13:53:44  qboosh
- pl cosmetic, better Group

Revision 1.2  2007/03/18 08:13:41  beorn
- Polish translation

Revision 1.1  2007/03/17 19:04:38  areq
- init PLD spec
